Bug 735310 - NetworkManager fails to connect my Mobile Broadband
Summary: NetworkManager fails to connect my Mobile Broadband
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 15
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-02 09:32 UTC by martin
Modified: 2012-08-07 16:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 16:03:58 UTC


Attachments (Terms of Use)
Output from NetworkManager when failing to connect. (1.09 KB, text/plain)
2011-09-02 09:32 UTC, martin
no flags Details

Description martin 2011-09-02 09:32:13 UTC
Created attachment 521196 [details]
Output from NetworkManager when failing to connect.

Description of problem:
I have a Gobi 2000 in my laptop. This has worked before under Fedora 13 (with gobi_loader, Gobi proprietary firmware and compat-wireless installed) but despite adding the firmware and gobi_loader (same versions as I used in Fedora 13) I can't get it to work in Fedora 15.

I have the appropriate devices and has set it up in NetworkManager as before, but it fails to connect. Compat-wireless is not possible to use in Fedora 15, but I will file a separate bug report for that one to not clutter this one too much.

This is a bit of a problem for me since 3G is the main way I connect to Internet on this machine...

Version-Release number of selected component (if applicable):
gobi_loader-0.7

How reproducible:
100%

Steps to Reproduce:
1. Activate Mobile Broadband in appropriate dialogue (tested both in Gnome 3 and KDE)
2. Watch it fail.
  
Actual results:
Not Connected

Expected results:
Connected

Additional info:
See excerpt from /var/log/messages attached to this bug report.

Comment 1 Bojan Smojver 2011-09-06 10:53:06 UTC
Hmm, I have Gobi 2000 in my ThinkPad T510 (just installed it today, actually) and it works fine with F-15, x86_64. I installed gobi_loader RPM (0.7) that I  built from source and copied the firmware files to /lib/firmware/gobi. After that is done and a valid SIM is in the slot, I can just use NetworkManager to create a new connection.

Comment 2 Bojan Smojver 2011-09-08 09:21:11 UTC
On my connection, I get this (from your log):
-----------------
GSM connection failed: (32) Sending command failed: 'Resource temporarily unavailable'
-----------------

When my credit is zero.

Comment 3 Jirka Klimes 2011-09-08 09:28:15 UTC
Martin, are you able to run that according to comments #1, #2.

If not, please follow steps of "Debugging NetworkManager 0.8.x 3G connections"
at http://live.gnome.org/NetworkManager/Debugging to get detailed logs.

Comment 4 Bojan Smojver 2011-09-09 03:33:46 UTC
One more suggestion, maybe you can try the steps from Troubleshooting section in this document:

http://www.thinkwiki.org/wiki/Qualcomm_Gobi_2000

Comment 5 Fedora End Of Life 2012-08-07 16:04:00 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.